hive-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ravi Prakash <ravi...@ymail.com>
Subject Re: Building Hive-0.14 is failing because artifact pentaho-aggdesigner-algorithm-5.1.3-jhyde could not be resolved
Date Mon, 29 Dec 2014 21:17:35 GMT
Hi folks!
I'm still somewhat stuck on this issue. Could someone please guide me?
I had to manually download these jars and put them into my ~/.m2/repository from http://repo.spring.io/libs-release/org/pentaho/pentaho-aggdesigner-algorithm/5.1.3-jhyde/
. (When I configured this repository, maven somehow still didn't find the artifacts)
I had to do this for the following artifacts:http://repo.spring.io/libs-release/org/pentaho/pentaho-aggdesigner/5.1.3-jhyde/pentaho-aggdesigner-5.1.3-jhyde.pomhttp://repo.spring.io/libs-release/net/hydromatic/linq4j/0.4/linq4j-0.4.jarhttp://repo.spring.io/libs-release/net/hydromatic/quidem/0.1.1/quidem-0.1.1.pom
Consequently I was able to build hive, however I don't believe this is a kosher way of producing
production binaries, so I am still waiting to hear from you all. Is there another trusted
repository I can try which has these artifacts indexed?

ThanksRavi


     On Monday, December 22, 2014 2:14 PM, Ravi Prakash <ravihoo@ymail.com> wrote:
   

 Hi!
Has anyone tried building Hive-0.14 from source? I'm using the tag for release-0.14.0 https://github.com/apache/hive/releases/tag/release-0.14.0

The command I use is: mvn install -DskipTests -Phadoop-2 -DcreateChecksum=true -Dtez.version=0.5.3
-Dcalcite.version=0.9.2-incubating

The build fails for me with the following error:[ERROR] Failed to execute goal on project
hive-exec: Could not resolve dependencies for project org.apache.hive:hive-exec:jar:0.14.0:
The following artifacts could not be resolved: org.pentaho:pentaho-aggdesigner-algorithm:jar:5.1.3-jhyde,
net.hydromatic:linq4j:jar:0.4, net.hydromatic:quidem:jar:0.1.1: Could not find artifact org.pentaho:pentaho-aggdesigner-algorithm:jar:5.1.3-jhyde
in nexus (http://localhost:8081/nexus/content/groups/public) -> [Help 1]

This is a transitive dependency via the "calcite-0.9.2-incubating" artifact. Is there a JIRA
which someone can please point me to? It seems wrong that an artifact with version "5.1.3-jhyde"
is required to build Apache Hive, no disrespect to Julian. Am I missing something?
ThanksRavi
 


   
Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message